Index: configure.ac
===================================================================
--- configure.ac	(revision e38750985965a330bae6c625523a373491b95349)
+++ configure.ac	(revision d1831e68610ffad961ff27e9f13c54a4ae810a1d)
@@ -319,25 +319,51 @@
   enable_levmar="no")
 AC_MSG_RESULT($enable_levmar)
-# don't use AS_IF here as it expands (and tests) AC_F77_FUN evene if levmar
+# don't use AS_IF here as it expands (and tests) AC_F77_FUN even if levmar
 # is disabled.
-if test x"$enable_levmar" = x"yes"; then
-	AX_LAPACK([enable_levmar=yes],[enable_levmar=no])
+if test x"$enable_levmar" = xyes; then
+	AX_LAPACK([enable_levmar=yes],
+		[enable_levmar=no
+		AC_MSG_WARN(["Missing LAPACK, disabling off levmar"])
+		]
+	)
 fi
-AS_IF([test x"$enable_levmar" = x"yes"],[
+AS_IF([test x"$enable_levmar" = xyes],[
+	AC_MSG_CHECKING(for levmar presence via given path )
 	AC_ARG_WITH(
 		[levmar],
 		[AS_HELP_STRING([--with-levmar], [give path to LevMar package])],
-		[have_levmar_path=$withval],
+		[have_levmar_path=$withval
+		enable_levmar=yes],
 		[enable_levmar=no])
-		],[enable_levmar=no])
-AS_IF([test x"$enable_levmar" = x"yes"],[
-	LEVMAR_CPPFLAGS="-I${have_levmar_path}/include"
-	LEVMAR_LDFLAGS="-L${have_levmar_path}/lib"
-	LEVMAR_LIBS="-llevmar"
+	AC_MSG_RESULT($enable_levmar)
+	AS_IF([test -n "$have_levmar_path"],[
+		LEVMAR_CPPFLAGS="-I${have_levmar_path}/include"
+		LEVMAR_LDFLAGS="-L${have_levmar_path}/lib"
+		LEVMAR_LIBS="-llevmar"],[
+		PKG_CHECK_MODULES([LEVMAR],[levmar],[enable_levmar=yes],[
+			AC_MSG_CHECKING(for levmar presence via locate)
+			enable_levmar=no
+			levmar_lib=`locate liblevmar.a | head -n 1 | xargs dirname`
+			levmar_include=`locate levmar.h | head -n 1 | xargs dirname`
+			if test -n "$levmar_lib"; then
+				if test -n "$levmar_include"; then
+					enable_levmar=yes
+					LEVMAR_CPPFLAGS="-I${levmar_include}"
+					LEVMAR_LDFLAGS="-L${levmar_lib}"
+					LEVMAR_LIBS="-llevmar"
+				fi
+			fi
+			AC_MSG_RESULT($enable_levmar)
+		])
+	])
+	],[enable_levmar=no]
+)
+AC_MSG_CHECKING(for levmar usability)
+AS_IF([test x"$enable_levmar" = xyes],[
 	AC_SUBST(LEVMAR_CPPFLAGS)
 	AC_SUBST(LEVMAR_LDFLAGS)
 	AC_SUBST(LEVMAR_LIBS)
-        AC_DEFINE(HAVE_LEVMAR,1, ["use levmar for non-linear minimisation/potential fitting."])
-	],[AC_MSG_WARN(["Missing LAPACK, disabling off levmar"])])
+        AC_DEFINE(HAVE_LEVMAR,1, ["use levmar for non-linear minimisation/potential fitting."])])
+AC_MSG_RESULT($enable_levmar)
 AM_CONDITIONAL([CONDLEVMAR], [test x"$enable_levmar" = x"yes"])
 
Index: debian/changelog
===================================================================
--- debian/changelog	(revision e38750985965a330bae6c625523a373491b95349)
+++ debian/changelog	(revision d1831e68610ffad961ff27e9f13c54a4ae810a1d)
@@ -4,3 +4,3 @@
   * This is my first Debian package.
   
- -- Frederik Heber <heber@ins.uni-bonn.de>  Sun, 09 Aug 2015 21:37:00 +0100
+ -- Frederik Heber <heber@molecuilder.com>  Sun, 09 Aug 2015 21:37:00 +0100
Index: debian/control
===================================================================
--- debian/control	(revision e38750985965a330bae6c625523a373491b95349)
+++ debian/control	(revision d1831e68610ffad961ff27e9f13c54a4ae810a1d)
@@ -4,7 +4,12 @@
 Maintainer: Frederik Heber <heber@molecuilder.com>
 Build-Depends: debhelper (>=9), cdbs, autoconf, automake (>=1.11), pkg-config, 
- gfortran, libgpg-error0, libboost-dev (>=1.46), python2.7, libgsl0-dev,
- libcodepatterns (>=1.3.0), levmar (>=2.6), units, libcppunit-dev (>=1.12),
- libqt4-dev (>=4.8.5), 
+ gfortran, libgpg-error0, libboost-dev (>=1.46), libboost-python-dev (>=1.46),
+ libboost-program-options-dev (>=1.46), libboost-serialization-dev (>=1.46),
+ libboost-graph-dev (>=1.46), libboost-system-dev (>=1.46), 
+ libboost-filesystem-dev (>=1.46), libboost-iostreams-dev (>=1.46),
+ libboost-python-dev (>=1.46), python (>=2.7), python-dev (>=2.7), libgsl0-dev, 
+ libcodepatterns-dev (>=1.3.0), liblapack-dev (>= 3.3.1), levmar (>=2.6),
+ units, libcppunit-dev (>=1.12), libqt4-dev (>=4.8.5), libqt4-3d-dev (>=1.0),
+ libqwt5-qt4-dev (>=5.2.2), doxygen (>=1.7.6), graphviz (>= 2.26.3)
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.3
Index: m4/qwt.m4
===================================================================
--- m4/qwt.m4	(revision e38750985965a330bae6c625523a373491b95349)
+++ m4/qwt.m4	(revision d1831e68610ffad961ff27e9f13c54a4ae810a1d)
@@ -43,4 +43,7 @@
   mol_ac_qwt_name=qwt
   CXXFLAGS="$CXXFLAGS $QT_CFLAGS"
+  if test -z "$mol_ac_qwt_include_path"; then
+	mol_ac_qwt_include_path=`locate qwt.h | xargs dirname`
+  fi
   if test -n "$mol_ac_qwt_include_path"; then
     mol_ac_qwt_cxxflags="-I$mol_ac_qwt_include_path"
@@ -48,4 +51,7 @@
   fi
   LDFLAGS="$LDFLAGS $QT_LDFLAGS"
+  if test -z "$mol_ac_qwt_lib_path"; then
+	mol_ac_qwt_lib_path=`locate libqwt-qt4.so | head -n 1 | xargs dirname`
+  fi
   if test -n "$mol_ac_qwt_lib_path"; then
     for mol_ac_qwt_candidate in \
